(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else if(typeof exports === 'object')
		exports["PullStreamBundle"] = factory();
	else
		root["PullStreamBundle"] = factory();
})(window, function() {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 10);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


module.exports = function drain(op, done) {
  var read, abort;

  function sink(_read) {
    read = _read;
    if (abort) return sink.abort() //this function is much simpler to write if you
    //just use recursion, but by using a while loop
    //we do not blow the stack if the stream happens to be sync.
    ;

    (function next() {
      var loop = true,
          cbed = false;

      while (loop) {
        cbed = false;
        read(null, function (end, data) {
          cbed = true;

          if (end = end || abort) {
            loop = false;
            if (done) done(end === true ? null : end);else if (end && end !== true) throw end;
          } else if (op && false === op(data) || abort) {
            loop = false;
            read(abort || true, done || function () {});
          } else if (!loop) {
            next();
          }
        });

        if (!cbed) {
          loop = false;
          return;
        }
      }
    })();
  }

  sink.abort = function (err, cb) {
    if ('function' == typeof err) cb = err, err = true;
    abort = err || true;
    if (read) return read(abort, cb || function () {});
  };

  return sink;
};

/***/ }),
/* 1 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

module.exports = function prop(key) {
  return key && ('string' == typeof key ? function (data) {
    return data[key];
  } : 'object' === _typeof(key) && 'function' === typeof key.exec //regexp
  ? function (data) {
    var v = key.exec(data);
    return v && v[0];
  } : key);
};

/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var abortCb = __webpack_require__(5);

module.exports = function values(array, onAbort) {
  if (!array) return function (abort, cb) {
    if (abort) return abortCb(cb, abort, onAbort);
    return cb(true);
  };
  if (!Array.isArray(array)) array = Object.keys(array).map(function (k) {
    return array[k];
  });
  var i = 0;
  return function (abort, cb) {
    if (abort) return abortCb(cb, abort, onAbort);
    if (i >= array.length) cb(true);else cb(null, array[i++]);
  };
};

/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var drain = __webpack_require__(0);

module.exports = function reduce(reducer, acc, cb) {
  if (!cb) cb = acc, acc = null;
  var sink = drain(function (data) {
    acc = reducer(acc, data);
  }, function (err) {
    cb(err, acc);
  });
  if (arguments.length === 2) return function (source) {
    source(null, function (end, data) {
      //if ended immediately, and no initial...
      if (end) return cb(end === true ? null : end);
      acc = data;
      sink(source);
    });
  };else return sink;
};

/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var tester = __webpack_require__(7);

module.exports = function filter(test) {
  //regexp
  test = tester(test);
  return function (read) {
    return function next(end, cb) {
      var sync,
          loop = true;

      while (loop) {
        loop = false;
        sync = true;
        read(end, function (end, data) {
          if (!end && !test(data)) return sync ? loop = true : next(end, cb);
          cb(end, data);
        });
        sync = false;
      }
    };
  };
};

/***/ }),
/* 5 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


module.exports = function abortCb(cb, abort, onAbort) {
  cb(abort);
  onAbort && onAbort(abort === true ? null : abort);
  return;
};

/***/ }),
/* 6 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var abortCb = __webpack_require__(5);

module.exports = function once(value, onAbort) {
  return function (abort, cb) {
    if (abort) return abortCb(cb, abort, onAbort);

    if (value != null) {
      var _value = value;
      value = null;
      cb(null, _value);
    } else cb(true);
  };
};

/***/ }),
/* 7 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

var prop = __webpack_require__(1);

function id(e) {
  return e;
}

module.exports = function tester(test) {
  return 'object' === _typeof(test) && 'function' === typeof test.test //regexp
  ? function (data) {
    return test.test(data);
  } : prop(test) || id;
};

/***/ }),
/* 8 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


function id(e) {
  return e;
}

var prop = __webpack_require__(1);

var filter = __webpack_require__(4); //drop items you have already seen.


module.exports = function unique(field, invert) {
  field = prop(field) || id;
  var seen = {};
  return filter(function (data) {
    var key = field(data);
    if (seen[key]) return !!invert; //false, by default
    else seen[key] = true;
    return !invert; //true by default
  });
};

/***/ }),
/* 9 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


module.exports = pullPushable;

function pullPushable(separated, onClose) {
  if (typeof separated === 'function') {
    onClose = separated;
    separated = false;
  } // create a buffer for data
  // that have been pushed
  // but not yet pulled.


  var buffer = []; // a pushable is a source stream
  // (abort, cb) => cb(end, data)
  //
  // when pushable is pulled,
  // keep references to abort and cb
  // so we can call back after
  // .end(end) or .push(data)

  var abort, cb;

  function read(_abort, _cb) {
    if (_abort) {
      abort = _abort; // if there is already a cb waiting, abort it.

      if (cb) callback(abort);
    }

    cb = _cb;
    drain();
  }

  var ended;

  function end(end) {
    ended = ended || end || true; // attempt to drain

    drain();
  }

  function push(data) {
    if (ended) return; // if sink already waiting,
    // we can call back directly.

    if (cb) {
      callback(abort, data);
      return;
    } // otherwise buffer data


    buffer.push(data);
  } // Return functions separated from source { push, end, source }


  if (separated) {
    return {
      push: push,
      end: end,
      source: read,
      buffer: buffer
    };
  } // Return normal


  read.push = push;
  read.end = end;
  read.buffer = buffer;
  return read; // `drain` calls back to (if any) waiting
  // sink with abort, end, or next data.

  function drain() {
    if (!cb) return;
    if (abort) callback(abort);else if (!buffer.length && ended) callback(ended);else if (buffer.length) callback(null, buffer.shift());
  } // `callback` calls back to waiting sink,
  // and removes references to sink cb.


  function callback(err, val) {
    var _cb = cb; // if error and pushable passed onClose, call it
    // the first time this stream ends or errors.

    if (err && onClose) {
      var c = onClose;
      onClose = null;
      c(err === true ? null : err);
    }

    cb = null;

    _cb(err, val);
  }
}

/***/ }),
/* 10 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(11);


/***/ }),
/* 11 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var pull = __webpack_require__(12);

var Pushable = __webpack_require__(9);

var Notify = __webpack_require__(34);

var Stringify = __webpack_require__(35);

module.exports = {
  pull: pull,
  Stringify: Stringify,
  Pushable: Pushable,
  Notify: Notify
};

/***/ }),
/* 12 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var sources = __webpack_require__(13);

var sinks = __webpack_require__(19);

var throughs = __webpack_require__(25);

exports = module.exports = __webpack_require__(33);
exports.pull = exports;

for (var k in sources) {
  exports[k] = sources[k];
}

for (var k in throughs) {
  exports[k] = throughs[k];
}

for (var k in sinks) {
  exports[k] = sinks[k];
}

/***/ }),
/* 13 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


module.exports = {
  keys: __webpack_require__(14),
  once: __webpack_require__(6),
  values: __webpack_require__(2),
  count: __webpack_require__(15),
  infinite: __webpack_require__(16),
  empty: __webpack_require__(17),
  error: __webpack_require__(18)
};

/***/ }),
/* 14 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var values = __webpack_require__(2);

module.exports = function (object) {
  return values(Object.keys(object));
};

/***/ }),
/* 15 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


module.exports = function count(max) {
  var i = 0;
  max = max || Infinity;
  return function (end, cb) {
    if (end) return cb && cb(end);
    if (i > max) return cb(true);
    cb(null, i++);
  };
};

/***/ }),
/* 16 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


module.exports = function infinite(generate) {
  generate = generate || Math.random;
  return function (end, cb) {
    if (end) return cb && cb(end);
    return cb(null, generate());
  };
};

/***/ }),
/* 17 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";
 //a stream that ends immediately.

module.exports = function empty() {
  return function (abort, cb) {
    cb(true);
  };
};

/***/ }),
/* 18 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";
 //a stream that errors immediately.

module.exports = function error(err) {
  return function (abort, cb) {
    cb(err);
  };
};

/***/ }),
/* 19 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


module.exports = {
  drain: __webpack_require__(0),
  onEnd: __webpack_require__(20),
  log: __webpack_require__(21),
  find: __webpack_require__(22),
  reduce: __webpack_require__(3),
  collect: __webpack_require__(23),
  concat: __webpack_require__(24)
};

/***/ }),
/* 20 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var drain = __webpack_require__(0);

module.exports = function onEnd(done) {
  return drain(null, done);
};

/***/ }),
/* 21 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var drain = __webpack_require__(0);

module.exports = function log(done) {
  return drain(function (data) {
    console.log(data);
  }, done);
};

/***/ }),
/* 22 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


function id(e) {
  return e;
}

var prop = __webpack_require__(1);

var drain = __webpack_require__(0);

module.exports = function find(test, cb) {
  var ended = false;
  if (!cb) cb = test, test = id;else test = prop(test) || id;
  return drain(function (data) {
    if (test(data)) {
      ended = true;
      cb(null, data);
      return false;
    }
  }, function (err) {
    if (ended) return; //already called back

    cb(err === true ? null : err, null);
  });
};

/***/ }),
/* 23 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var reduce = __webpack_require__(3);

module.exports = function collect(cb) {
  return reduce(function (arr, item) {
    arr.push(item);
    return arr;
  }, [], cb);
};

/***/ }),
/* 24 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var reduce = __webpack_require__(3);

module.exports = function concat(cb) {
  return reduce(function (a, b) {
    return a + b;
  }, '', cb);
};

/***/ }),
/* 25 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


module.exports = {
  map: __webpack_require__(26),
  asyncMap: __webpack_require__(27),
  filter: __webpack_require__(4),
  filterNot: __webpack_require__(28),
  through: __webpack_require__(29),
  take: __webpack_require__(30),
  unique: __webpack_require__(8),
  nonUnique: __webpack_require__(31),
  flatten: __webpack_require__(32)
};

/***/ }),
/* 26 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


function id(e) {
  return e;
}

var prop = __webpack_require__(1);

module.exports = function map(mapper) {
  if (!mapper) return id;
  mapper = prop(mapper);
  return function (read) {
    return function (abort, cb) {
      read(abort, function (end, data) {
        try {
          data = !end ? mapper(data) : null;
        } catch (err) {
          return read(err, function () {
            return cb(err);
          });
        }

        cb(end, data);
      });
    };
  };
};

/***/ }),
/* 27 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


function id(e) {
  return e;
}

var prop = __webpack_require__(1);

module.exports = function asyncMap(map) {
  if (!map) return id;
  map = prop(map);
  var busy = false,
      abortCb,
      aborted;
  return function (read) {
    return function next(abort, cb) {
      if (aborted) return cb(aborted);

      if (abort) {
        aborted = abort;
        if (!busy) read(abort, function (err) {
          //incase the source has already ended normally,
          //we should pass our own error.
          cb(abort);
        });else read(abort, function (err) {
          //if we are still busy, wait for the mapper to complete.
          if (busy) abortCb = cb;else cb(abort);
        });
      } else read(null, function (end, data) {
        if (end) cb(end);else if (aborted) cb(aborted);else {
          busy = true;
          map(data, function (err, data) {
            busy = false;

            if (aborted) {
              cb(aborted);
              abortCb && abortCb(aborted);
            } else if (err) next(err, cb);else cb(null, data);
          });
        }
      });
    };
  };
};

/***/ }),
/* 28 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var tester = __webpack_require__(7);

var filter = __webpack_require__(4);

module.exports = function filterNot(test) {
  test = tester(test);
  return filter(function (data) {
    return !test(data);
  });
};

/***/ }),
/* 29 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";
 //a pass through stream that doesn't change the value.

module.exports = function through(op, onEnd) {
  var a = false;

  function once(abort) {
    if (a || !onEnd) return;
    a = true;
    onEnd(abort === true ? null : abort);
  }

  return function (read) {
    return function (end, cb) {
      if (end) once(end);
      return read(end, function (end, data) {
        if (!end) op && op(data);else once(end);
        cb(end, data);
      });
    };
  };
};

/***/ }),
/* 30 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";
 //read a number of items and then stop.

module.exports = function take(test, opts) {
  opts = opts || {};
  var last = opts.last || false; // whether the first item for which !test(item) should still pass

  var ended = false;

  if ('number' === typeof test) {
    last = true;
    var n = test;

    test = function test() {
      return --n;
    };
  }

  return function (read) {
    function terminate(cb) {
      read(true, function (err) {
        last = false;
        cb(err || true);
      });
    }

    return function (end, cb) {
      if (ended && !end) last ? terminate(cb) : cb(ended);else if (ended = end) read(ended, cb);else read(null, function (end, data) {
        if (ended = ended || end) {
          //last ? terminate(cb) :
          cb(ended);
        } else if (!test(data)) {
          ended = true;
          last ? cb(null, data) : terminate(cb);
        } else cb(null, data);
      });
    };
  };
};

/***/ }),
/* 31 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var unique = __webpack_require__(8); //passes an item through when you see it for the second time.


module.exports = function nonUnique(field) {
  return unique(field, true);
};

/***/ }),
/* 32 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

var values = __webpack_require__(2);

var once = __webpack_require__(6); //convert a stream of arrays or streams into just a stream.


module.exports = function flatten() {
  return function (read) {
    var _read;

    return function (abort, cb) {
      if (abort) {
        //abort the current stream, and then stream of streams.
        _read ? _read(abort, function (err) {
          read(err || abort, cb);
        }) : read(abort, cb);
      } else if (_read) nextChunk();else nextStream();

      function nextChunk() {
        _read(null, function (err, data) {
          if (err === true) nextStream();else if (err) {
            read(true, function (abortErr) {
              // TODO: what do we do with the abortErr?
              cb(err);
            });
          } else cb(null, data);
        });
      }

      function nextStream() {
        _read = null;
        read(null, function (end, stream) {
          if (end) return cb(end);
          if (Array.isArray(stream) || stream && 'object' === _typeof(stream)) stream = values(stream);else if ('function' != typeof stream) stream = once(stream);
          _read = stream;
          nextChunk();
        });
      }
    };
  };
};

/***/ }),
/* 33 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

module.exports = function pull(a) {
  var length = arguments.length;

  if (typeof a === 'function' && a.length === 1) {
    var args = new Array(length);

    for (var i = 0; i < length; i++) {
      args[i] = arguments[i];
    }

    return function (read) {
      if (args == null) {
        throw new TypeError("partial sink should only be called once!");
      } // Grab the reference after the check, because it's always an array now
      // (engines like that kind of consistency).


      var ref = args;
      args = null; // Prioritize common case of small number of pulls.

      switch (length) {
        case 1:
          return pull(read, ref[0]);

        case 2:
          return pull(read, ref[0], ref[1]);

        case 3:
          return pull(read, ref[0], ref[1], ref[2]);

        case 4:
          return pull(read, ref[0], ref[1], ref[2], ref[3]);

        default:
          ref.unshift(read);
          return pull.apply(null, ref);
      }
    };
  }

  var read = a;

  if (read && typeof read.source === 'function') {
    read = read.source;
  }

  for (var i = 1; i < length; i++) {
    var s = arguments[i];

    if (typeof s === 'function') {
      read = s(read);
    } else if (s && _typeof(s) === 'object') {
      s.sink(read);
      read = s.source;
    }
  }

  return read;
};

/***/ }),
/* 34 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var pushable = __webpack_require__(9);

module.exports = function () {
  var listeners = [];

  function notify(message) {
    // notify by pushing to all listeners
    for (var i = 0; i < listeners.length; i++) {
      listeners[i].push(message);
    }

    return message;
  }

  notify.listen = function () {
    // create listener with `onClose` handler
    var listener = pushable(function onClose() {
      // if listener is found, delete from list
      var index = listeners.indexOf(listener);
      if (index !== -1) listeners.splice(index, 1);
    });
    listeners.push(listener);
    return listener;
  };

  notify.abort = function (err) {
    // abort by ending all listeners
    while (listeners.length) {
      listeners[0].end(err);
    }
  };

  notify.end = function () {
    return notify.abort(true);
  };

  return notify;
};

/***/ }),
/* 35 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var defined = __webpack_require__(36);

module.exports = pullStringify;

function pullStringify(options) {
  options = defined(options, {}); // default is pretty double newline delimited json

  var open = defined(options.open, '');
  var prefix = defined(options.prefix, '');
  var suffix = defined(options.suffix, '\n\n');
  var close = defined(options.close, '');
  var indent = defined(options.indent, 2);
  var stringify = defined(options.stringify, JSON.stringify);
  var first = true,
      ended;
  return function (read) {
    return function (end, cb) {
      if (ended) return cb(ended);
      read(null, function (end, data) {
        if (!end) {
          var f = first;
          first = false;
          var string = stringify(data, null, indent);
          cb(null, (f ? open : prefix) + string + suffix);
        } else {
          ended = end;
          if (ended !== true) return cb(ended);
          cb(null, first ? open + close : close);
        }
      });
    };
  };
}

module.exports.lines = module.exports.ldjson = function (stringify) {
  return pullStringify({
    suffix: '\n',
    indent: 0,
    stringify: stringify
  });
};

module.exports.array = function (stringify) {
  return pullStringify({
    open: '[',
    prefix: ',\n',
    suffix: '',
    close: ']\n',
    indent: 2,
    stringify: stringify
  });
};

/***/ }),
/* 36 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


module.exports = function () {
  for (var i = 0; i < arguments.length; i++) {
    if (arguments[i] !== undefined) return arguments[i];
  }
};

/***/ })
/******/ ]);
});
//# sourceMappingURL=index.js.map